Package org.eclipse.ui.quickaccess

# Class QuickAccessElement

java.lang.Object
org.eclipse.ui.quickaccess.QuickAccessElement

public abstract class QuickAccessElement extends Object
A QuickAccessElement describes one of the possible actions to show in Quick Access.

Since:
  3.115

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`separator`

## Constructor Summary

Constructors
Constructor
Description
`QuickAccessElement()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`execute()`
Executes the associated action for this element.
`abstract String`
`getId()`
Returns the id for this element.
`abstract ImageDescriptor`
`getImageDescriptor()`
Returns the image descriptor for this element.
`abstract String`
`getLabel()`
Returns the label to be displayed to the user.
`String`
`getMatchLabel()`
Return the label to be used for matching elements.
`String`
`getSortLabel()`
Return the label to be used for sorting elements.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### separator

protected static final String separator

See Also:
  - Constant Field Values

## Constructor Details

### QuickAccessElement

public QuickAccessElement()

## Method Details

### getLabel

public abstract String getLabel()
Returns the label to be displayed to the user.

Returns:
  the label

### getImageDescriptor

public abstract ImageDescriptor getImageDescriptor()
Returns the image descriptor for this element.

Returns:
  an image descriptor, or null if no image is available

### getId

public abstract String getId()
Returns the id for this element. The id has to be unique within the QuickAccessProvider that provided this element.

Returns:
  the id

### execute

public abstract void execute()
Executes the associated action for this element.

### getSortLabel

public String getSortLabel()
Return the label to be used for sorting elements.

Returns:
  the sort label

### getMatchLabel

public String getMatchLabel()
Return the label to be used for matching elements. The match string can contain additional text that should result in a match, but isn't shown in the quick access UI.

The match label should always be either identical to or a superset of the actual `label`.

Returns:
  the match label